# サブスクリプション課金（口座振替）

`POST /your-endpoint-on-directdebit-recurring-batch`

- operationId: `receiveWebhookOfDirectDebitRecurringBatch`
- tags: Webhook_通知仕様

口座振替によるサブスクリプション課金に関するイベント（`recurring.directdebit.batch`）で通知されるリクエストのボディの仕様です。


## リクエストボディ

Content-Type: `application/json`

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `succeeded` | string |  | 成功件数 |
| `failed` | string |  | 失敗件数 |
| `total` | string |  | 合計件数 |
| `process_date` | Payment_properties-process_date |  |  |
| `charge_date` | string |  | 課金日 |
| `pay_type` | SubscriptionPayType |  |  |
| `event` | FincodeEvent |  |  |

## レスポンス

### 200 fincodeに正常にWebhookを受信した旨をレスポンスしてください。

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `receive` | enum(0 | 1) |  | Webhook通知受信 |

### 400 4xx系、5xx系または上記以外のレスポンスを返却した場合、fincodeはエラーと判断しWebhook通知のリトライを行います。

